> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search payers

> Searches for payers based on the provided search criteria.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/clearinghouse/payers/search
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/clearinghouse/payers/search:
    get:
      tags:
        - Clearinghouse
      summary: Search payers
      description: Searches for payers based on the provided search criteria.
      parameters:
        - schema:
            type: string
          in: query
          name: query
          required: true
          description: The search query (e.g. name, ID, etc.) for the payer.
      responses:
        '200':
          description: Successfully retrieved the list of payers.
          content:
            application/json:
              schema:
                type: object
                properties:
                  payers:
                    type: array
                    items:
                      type: object
                      properties:
                        payer:
                          type: object
                          properties:
                            stediId:
                              type: string
                            displayName:
                              type: string
                            primaryPayerId:
                              type: string
                            aliases:
                              type: array
                              items:
                                type: string
                            names:
                              type: array
                              items:
                                type: string
                            transactionSupport:
                              type: object
                              properties:
                                eligibilityCheck:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                claimStatus:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                claimSubmission:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                professionalClaimSubmission:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                institutionalClaimSubmission:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                claimPayment:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                coordinationOfBenefits:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                dentalClaimSubmission:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                                unsolicitedClaimAttachment:
                                  type: string
                                  enum:
                                    - SUPPORTED
                                    - NOT_SUPPORTED
                                    - ENROLLMENT_REQUIRED
                              required:
                                - eligibilityCheck
                                - claimStatus
                                - professionalClaimSubmission
                                - institutionalClaimSubmission
                                - claimPayment
                                - coordinationOfBenefits
                                - dentalClaimSubmission
                                - unsolicitedClaimAttachment
                              additionalProperties: false
                            coverageTypes:
                              type: array
                              items:
                                type: string
                                enum:
                                  - medical
                                  - dental
                                  - vision
                          required:
                            - stediId
                            - displayName
                            - primaryPayerId
                            - aliases
                            - names
                            - transactionSupport
                          additionalProperties: false
                        score:
                          type: number
                      required:
                        - payer
                        - score
                      additionalProperties: false
                required:
                  - payers
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true

````